## danmaq 0.2.3.1

=== CMakeLists.txt ===
﻿cmake_minimum_required(VERSION 2.8.11)

PROJECT(danmaQ)

option(ENABLE_TEST "Enable test program build" Off)

set(VERSION "0.2.3.1")

# From https://github.com/Homebrew/homebrew-core/issues/8392
if(APPLE AND EXISTS /usr/local/opt/qt)
	# Because Qt5 is key-only, Homebrew installs Qt5 in
	# /usr/local/qt5, ensure it can be found by CMake since
	# it is not in the default /usr/local prefix.
	list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt")
endif()

find_package(Qt5Core)
find_package(Qt5Widgets)
find_package(Qt5Network)

IF (UNIX)
        set(CMAKE_CXX_FLAGS "-Wall --std=c++11 ${CMAKE_CXX_FLAGS}")
ENDIF ()


if (APPLE)
    add_custom_command(
            COMMAND mkdir -p Icon.iconset
            COMMAND cp ${CMAKE_SOURCE_DIR}/src/icons/statusicon.png icon.png
            COMMAND sips -z 16 16   icon.png --out Icon.iconset/icon_16x16.png
            COMMAND sips -z 32 32   icon.png --out Icon.iconset/icon_16x16@2x.png
            COMMAND sips -z 32 32   icon.png --out Icon.iconset/icon_32x32.png
            COMMAND sips -z 64 64   icon.png --out Icon.iconset/icon_32x32@2x.png
            COMMAND sips -z 128 128 icon.png --out Icon.iconset/icon_128x128.png
            COMMAND sips -z 256 256 icon.png --out Icon.iconset/icon_128x128@2x.png
            COMMAND sips -z 256 256 icon.png --out Icon.iconset/icon_256x256.png
            COMMAND sips -z 512 512 icon.png --out Icon.iconset/icon_256x256@2x.png
            COMMAND sips -z 512 512 icon.png --out Icon.iconset/icon_512x512.png
            COMMAND sips -z 1024 1024 icon.png --out Icon.iconset/icon_512x512@2x.png
            COMMAND iconutil -c icns Icon.iconset
            COMMAND mkdir -p ${CMAKE_PROJECT_NAME}.app/Contents/Resources
            DEPENDS ${CMAKE_SOURCE_DIR}/src/icons/statusicon.png
            OUTPUT ${CMAKE_BINARY_DIR}/Icon.icns
    )
    add_custom_command(
            COMMAND mkdir -p ${CMAKE_PROJECT_NAME}.app/Contents/MacOS
            COMMAND cp -r ${CMAKE_SOURCE_DIR}/macOS/Info.plist ${CMAKE_PROJECT_NAME}.app/Contents/Info.plist
            COMMAND cp src/${CMAKE_PROJECT_NAME} ${CMAKE_PROJECT_NAME}.app/Contents/MacOS/
            COMMAND sed -i.bak 's/VERSION/${VERSION}/g' ${CMAKE_PROJECT_NAME}.app/Contents/Info.plist
            COMMAND cp Icon.icns ${CMAKE_PROJECT_NAME}.app/Contents/Resources/
            COMMAND /usr/local/opt/qt/bin/macdeployqt ${CMAKE_PROJECT_NAME}.app -no-strip
            DEPENDS ${CMAKE_BINARY_DIR}/src/${CMAKE_PROJECT_NAME}
            DEPENDS ${CMAKE_BINARY_DIR}/Icon.icns
            OUTPUT ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.app
    )
    add_custom_command(
            COMMAND cp -r ${CMAKE_PROJECT_NAME}.app ${CMAKE_PROJECT_NAME}.app.bak
            COMMAND /usr/local/opt/qt/bin/macdeployqt ${CMAKE_PROJECT_NAME}.app -dmg
            COMMAND rm -rf ${CMAKE_PROJECT_NAME}.app
            COMMAND mv ${CMAKE_PROJECT_NAME}.app.bak ${CMAKE_PROJECT_NAME}.app
            DEPENDS ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.app
            OUTPUT ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.dmg
    )
    add_custom_target(app ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.app)
    add_custom_target(dmg DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.dmg)
endif ()

add_subdirectory(src)
add_subdirectory(man)


if (ENABLE_TEST)
enable_testing()
add_subdirectory(tests)
endif (ENABLE_TEST)

=== src/CMakeLists.txt ===
set(danmaQ_SOURCES 
	main.cpp 
	Danmaku.cpp
	DMCanvas.cpp
	DMMainWindow.cpp
	Subscriber.cpp
	)

IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
	SET(danmaQ_SOURCES ${danmaQ_SOURCES} danmaQ.rc)
ENDIF()

set(danmaQ_HEADERS
	Subscriber.hpp
	Danmaku.hpp
	DMCanvas.hpp
	DMMainWindow.hpp
	common.h
	)

add_subdirectory(translations)
add_subdirectory(resource)

set(danmaQ_RESOURCES icons.qrc i18n.qrc)

add_custom_target(resources ALL DEPENDS ${danmaQ_RESOURCES})
add_dependencies(resources translations)

set(CMAKE_AUTOMOC ON)

qt5_add_resources(danmaQ_RCC_SRCS ${danmaQ_RESOURCES})

add_executable(${CMAKE_PROJECT_NAME} ${danmaQ_SOURCES} ${danmaQ_HEADERS_MOC} ${danmaQ_RCC_SRCS})
add_dependencies(${CMAKE_PROJECT_NAME} resources)

set(DANMAQ_LIBRARIES Qt5::Widgets Qt5::Core Qt5::Network)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
	find_package(Qt5X11Extras REQUIRED)
	set(DANMAQ_LIBRARIES ${DANMAQ_LIBRARIES} Qt5::X11Extras)

	find_package(X11 REQUIRED)
	set(DANMAQ_LIBRARIES ${DANMAQ_LIBRARIES} ${X11_LIBRARIES})

	# find_library(X_LIB X11 Xext)
	# set(DANMAQ_LIBRARIES ${DANMAQ_LIBRARIES} ${X_LIB})
endif()

target_link_libraries(${CMAKE_PROJECT_NAME} ${DANMAQ_LIBRARIES})
install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION bin)

=== tests/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/src)

=== src/resource/CMakeLists.txt ===
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)

=== src/translations/CMakeLists.txt ===
set(danmaQ_I18N_SRC
    zh_CN.ts
    zh_TW.ts
    ja_JP.ts)

find_package(Qt5LinguistTools)
set(danmaQ_I18N_FILES)
foreach(I18N_SRC ${danmaQ_I18N_SRC})
    string(REPLACE ".ts" ".qm" I18N_FILE ${I18N_SRC})
    add_custom_command(
        COMMAND Qt5::lrelease ${CMAKE_CURRENT_SOURCE_DIR}/${I18N_SRC}
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${I18N_SRC}
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${I18N_FILE})
    list(APPEND danmaQ_I18N_FILES ${CMAKE_CURRENT_SOURCE_DIR}/${I18N_FILE})
endforeach()
add_custom_target(translations ALL DEPENDS ${danmaQ_I18N_FILES})

=== debian/changelog ===
danmaq (0.2.3.1-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:19 +0100

danmaq (0.2.3.1-5) unstable; urgency=medium

  * debian/patches/backport: Backport upstream patches till
    2018-06-20.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2019 11:10:15 -0500

danmaq (0.2.3.1-4) unstable; urgency=medium

  * Update my uploader email address and use the @debian.org one.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Aug 2018 13:17:17 -0400

danmaq (0.2.3.1-3) unstable; urgency=medium

  * Revert maintainer address back to chinese-developers@lists.a.d.o.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 22 Jun 2018 20:23:04 +0800

danmaq (0.2.3.1-2) unstable; urgency=medium

  * Use team+chinese@tracker.debian.org in maintainer address.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump debhelper compat to v11.
  * Migrate packaging repository to Salsa platform.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 18 Apr 2018 16:12:31 +0800

danmaq (0.2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 19 Nov 2017 20:58:58 +0800

danmaq (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Added i18n/l10n support.
  * Drop desktop file and man page in debian dir; shipped by upstream.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 11 Nov 2017 13:43:34 +0800

danmaq (0.2.2-1) unstable; urgency=low

  * Initial release. Closes: #878788

 -- Boyuan Yang <073plan@gmail.com>  Tue, 17 Oct 2017 15:14:09 +0800

=== debian/control ===
Source: danmaq
Section: misc
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libqt5x11extras5-dev,
 qtbase5-dev (>= 5.6~),
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/tuna/danmaQ
Vcs-Git: https://salsa.debian.org/chinese-team/danmaq.git
Vcs-Browser: https://salsa.debian.org/chinese-team/danmaq

Package: danmaq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Small client side Qt program to play danmaku on any screen
 DanmaQ is a desktop danmaku client. It is used to display danmaku strings.
 .
 "danmaku", originally a Japanese word, is a certain method of instant
 commenting over the Internet. It originated in Japan and became
 popular in East Asian cultural circle. In this case, People write comments
 and send them to a danmaku server. The server will push comments to
 danmaku clients connected to it, where comments are displayed on a real-time
 basis. Comment strings will fly over the screen with artistic effects.
 .
 This package provides a danmaku client program implemented in Qt5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#  # Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
#
# # see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#
# # see ENVIRONMENT in dpkg-buildflags(1)
# # package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# # package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

## danmaq 0.2.3.1.1+rb2

=== debian/changelog ===
danmaq (0.2.3.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Chinese Team <chinese-developers@lists.alioth.debian.org>  Wed, 27 Jan 2021 15:53:26 +0800

## danmaq 0.2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,13 @@
 
 option(ENABLE_TEST "Enable test program build" Off)
 
-set(VERSION "0.2.3.1")
+set(VERSION "0.2.3.2")
+
+set(CMAKE_CXX_STANDARD 14)
+
+IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
+	set(CMAKE_PREFIX_PATH "$ENV{QTDIR} ${CMAKE_PREFIX_PATH}")
+ENDIF()
 
 # From https://github.com/Homebrew/homebrew-core/issues/8392
 if(APPLE AND EXISTS /usr/local/opt/qt)
@@ -18,10 +24,15 @@
 find_package(Qt5Widgets)
 find_package(Qt5Network)
 
+
 IF (UNIX)
-        set(CMAKE_CXX_FLAGS "-Wall --std=c++11 ${CMAKE_CXX_FLAGS}")
+        set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
 ENDIF ()
 
+IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
+	set(CMAKE_CXX_FLAGS "/permissive- /MP ${CMAKE_CXX_FLAGS}")
+	SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS /ENTRY:\"mainCRTStartup\"")
+ENDIF()
 
 if (APPLE)
     add_custom_command(

=== man/CMakeLists.txt ===
SET(MAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/danmaQ.1)

ADD_CUSTOM_COMMAND(
  COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1 ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
)

IF (UNIX)
    ADD_CUSTOM_TARGET(man ALL DEPENDS ${MAN_FILES})
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
ENDIF()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,10 @@
 	common.h
 	)
 
+set(CMAKE_AUTOMOC ON) 
+set(CMAKE_AUTOUIC ON) 
+set(CMAKE_AUTORCC ON)
+
 add_subdirectory(translations)
 add_subdirectory(resource)
 
@@ -25,8 +29,6 @@
 
 add_custom_target(resources ALL DEPENDS ${danmaQ_RESOURCES})
 add_dependencies(resources translations)
-
-set(CMAKE_AUTOMOC ON)
 
 qt5_add_resources(danmaQ_RCC_SRCS ${danmaQ_RESOURCES})

=== debian/changelog ===
danmaq (0.2.3.2-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:37 +1100

danmaq (0.2.3.2-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:10:14 +0000

danmaq (0.2.3.2-2) unstable; urgency=medium

  [ xiao sheng wen ]
  * Team upload
  * add d/clean, Closes: #1044310
  * Bump Standards-Version: 4.6.2
  * d/copyright: update year info to 2023

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on qtbase5-dev.

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 15 Aug 2023 18:11:12 +0800

danmaq (0.2.3.2-1) unstable; urgency=medium

  * New upstream release 0.2.3.2.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 May 2020 10:44:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: danmaq
 Section: misc
 Priority: optional
-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libqt5x11extras5-dev,
- qtbase5-dev (>= 5.6~),
+ qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/tuna/danmaQ
 Vcs-Git: https://salsa.debian.org/chinese-team/danmaq.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/danmaq

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,9 @@
 # # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export QT_SELECT := 5
 
 %:
 	dh $@
-
-override_dh_missing:
-	dh_missing --fail-missing

## danmaq 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,36 +1,26 @@
-﻿cmake_minimum_required(VERSION 2.8.11)
+﻿cmake_minimum_required(VERSION 3.16)
 
 PROJECT(danmaQ)
 
 option(ENABLE_TEST "Enable test program build" Off)
 
-set(VERSION "0.2.3.2")
+set(VERSION "0.3.0")
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_EXPORT_COMPILE_COMMANDS True)
 
 IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
 	set(CMAKE_PREFIX_PATH "$ENV{QTDIR} ${CMAKE_PREFIX_PATH}")
 ENDIF()
 
-# From https://github.com/Homebrew/homebrew-core/issues/8392
-if(APPLE AND EXISTS /usr/local/opt/qt)
-	# Because Qt5 is key-only, Homebrew installs Qt5 in
-	# /usr/local/qt5, ensure it can be found by CMake since
-	# it is not in the default /usr/local prefix.
-	list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt")
-endif()
-
-find_package(Qt5Core)
-find_package(Qt5Widgets)
-find_package(Qt5Network)
-
+find_package(Qt6 REQUIRED COMPONENTS Core Widgets WebEngineWidgets LinguistTools)
 
 IF (UNIX)
         set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
 ENDIF ()
 
 IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
-	set(CMAKE_CXX_FLAGS "/permissive- /MP ${CMAKE_CXX_FLAGS}")
+	set(CMAKE_CXX_FLAGS "/permissive- /MP /DNOMINMAX ${CMAKE_CXX_FLAGS}")
 	SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS /ENTRY:\"mainCRTStartup\"")
 ENDIF()
 
@@ -49,7 +39,6 @@
             COMMAND sips -z 512 512 icon.png --out Icon.iconset/icon_512x512.png
             COMMAND sips -z 1024 1024 icon.png --out Icon.iconset/icon_512x512@2x.png
             COMMAND iconutil -c icns Icon.iconset
-            COMMAND mkdir -p ${CMAKE_PROJECT_NAME}.app/Contents/Resources
             DEPENDS ${CMAKE_SOURCE_DIR}/src/icons/statusicon.png
             OUTPUT ${CMAKE_BINARY_DIR}/Icon.icns
     )
@@ -58,15 +47,17 @@
             COMMAND cp -r ${CMAKE_SOURCE_DIR}/macOS/Info.plist ${CMAKE_PROJECT_NAME}.app/Contents/Info.plist
             COMMAND cp src/${CMAKE_PROJECT_NAME} ${CMAKE_PROJECT_NAME}.app/Contents/MacOS/
             COMMAND sed -i.bak 's/VERSION/${VERSION}/g' ${CMAKE_PROJECT_NAME}.app/Contents/Info.plist
+            COMMAND mkdir -p ${CMAKE_PROJECT_NAME}.app/Contents/Resources
+            COMMAND touch ${CMAKE_PROJECT_NAME}.app/Contents/Resources/empty.lproj
             COMMAND cp Icon.icns ${CMAKE_PROJECT_NAME}.app/Contents/Resources/
-            COMMAND /usr/local/opt/qt/bin/macdeployqt ${CMAKE_PROJECT_NAME}.app -no-strip
+            COMMAND macdeployqt ${CMAKE_PROJECT_NAME}.app -no-strip
             DEPENDS ${CMAKE_BINARY_DIR}/src/${CMAKE_PROJECT_NAME}
             DEPENDS ${CMAKE_BINARY_DIR}/Icon.icns
             OUTPUT ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.app
     )
     add_custom_command(
             COMMAND cp -r ${CMAKE_PROJECT_NAME}.app ${CMAKE_PROJECT_NAME}.app.bak
-            COMMAND /usr/local/opt/qt/bin/macdeployqt ${CMAKE_PROJECT_NAME}.app -dmg
+            COMMAND macdeployqt ${CMAKE_PROJECT_NAME}.app -dmg
             COMMAND rm -rf ${CMAKE_PROJECT_NAME}.app
             COMMAND mv ${CMAKE_PROJECT_NAME}.app.bak ${CMAKE_PROJECT_NAME}.app
             DEPENDS ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.app

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 SET(MAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/danmaQ.1)
 
 ADD_CUSTOM_COMMAND(
-  COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1 ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
-  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1
+  COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
+  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
 )

=== src/CMakeLists.txt ===
set(danmaQ_SOURCES 
	main.cpp 
	Danmaku.cpp
	DMCanvas.cpp
	DMMainWindow.cpp
	Subscriber.cpp
	)

IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
	SET(danmaQ_SOURCES ${danmaQ_SOURCES} danmaQ.rc)
ENDIF()

set(danmaQ_HEADERS
	Subscriber.hpp
	Danmaku.hpp
	DMCanvas.hpp
	DMMainWindow.hpp
	common.h
	)

qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES zh_CN zh_TW ja_JP)

set(CMAKE_AUTOMOC ON) 
set(CMAKE_AUTOUIC ON) 
set(CMAKE_AUTORCC ON)

add_subdirectory(resource)

set(danmaQ_RESOURCES icons.qrc socket.qrc)
file(GLOB danmqQ_TRANSLATIONS translations/*.ts)

qt_add_resources(danmaQ_RCC_SRCS ${danmaQ_RESOURCES})
qt_add_executable(${CMAKE_PROJECT_NAME} ${danmaQ_SOURCES} ${danmaQ_HEADERS_MOC} ${danmaQ_RCC_SRCS})
qt_add_translations(${CMAKE_PROJECT_NAME}
    TS_FILES ${danmqQ_TRANSLATIONS}
)

set(DANMAQ_LIBRARIES Qt6::Widgets Qt6::Core Qt6::WebEngineWidgets)

target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE ${DANMAQ_LIBRARIES})
install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION bin)

=== src/resource/CMakeLists.txt ===
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/moe.tuna.danmaq.metainfo.xml  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/metainfo)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps)
INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)

=== debian/changelog ===
danmaq (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0 (closes: #1091543).
  * d/{control,rules}: use Qt6 and ninja to build.
  * d/control:
    + adopt the package (closes: #1093662).
    + bump std-ver to 4.7.2 (no changes required).
  * d/missing-sources: add source for socket.io.js.
  * d/copyright:
    + update author year and add FSFAP.
    + add expat license for socket.io.js.

 -- Shengqi Chen <harry@debian.org>  Fri, 11 Apr 2025 14:22:22 +0800

danmaq (0.2.3.2-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093662)

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 19:38:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: danmaq
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Shengqi Chen <harry@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libqt5x11extras5-dev,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
+ ninja-build,
+ qt6-base-dev,
+ qt6-webengine-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/tuna/danmaQ
-Vcs-Git: https://salsa.debian.org/chinese-team/danmaq.git
-Vcs-Browser: https://salsa.debian.org/chinese-team/danmaq
+Vcs-Git: https://salsa.debian.org/debian/danmaq.git
+Vcs-Browser: https://salsa.debian.org/debian/danmaq
 
 Package: danmaq
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,11 @@
 # # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
 
-export QT_SELECT := 5
+export QT_SELECT := 6
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake+ninja
+
+# no tests provided by upstream
+override_dh_auto_test:
+

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%danmaq-$1.tar.gz%" \
 https://github.com/tuna/danmaq/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
